Resource Information


Description Endpoint to return a customer from B2BToolbox by their integration id.
Resource URL https://api.mpstoolbox.com/v1/clients/{integration_type}/{integration_id}
Rate Limited False
Response Format JSON
Authentication API-Key

Parameters


Parameter Type Description Optional Default
integration_type string The integration type to retrive. The following are the integration types to choose from:

sap
hubspot
eautomate
False NULL
integration_id bigint The integration id to retrive. False NULL

Example


GET https://api.mpstoolbox.com/v1/clients/hubspot/9090909

Response

{
    "client_id":"152946",
    "accountNumber": "Test111",
    "companyName": "API TEST Company Hubs",
    "firstName": "Noah",
    "lastName": "Test",
    "phoneNumber": "643-566-0089",
    "email": "testh5ub@gmail.com",
    "hubspot_id": "566540",
    "sap_id": "909092",
    "eautomate_id": "12",
    "addressLine1": "301 Cobblestone Way",
    "addressLine2": null,
    "city": "Bedrock",
    "region": "Ontario",
    "postCode": "70777",
    "country": "CA"
}

Error Response

{
    "code": 204,
    "data": "No Data Found"
}